<?php
ob_start(); //for the header() bug.
include("include/php/session.php");
include("include/lang/languages.php");
?>
<!DOCTYPE html>
<html lang="en">
	<head>
		<title>Quicknube | Search | <?php
echo "$session->username";
?></title>
		<link rel="shortcut icon" href="include/img/favicon.ico" />
		<meta http-equiv="Content-type" content="text/html;charset=ISO-8859-1">
		
		<!-- CSS -->
		<link rel="stylesheet" media="(min-width: 830px)" type="text/css" href="include/css/style.css" />
		<link rel="stylesheet" media="(max-width: 830px)" type="text/css" href="include/css/mobile.css" />
		<link href='http://fonts.googleapis.com/css?family=Titillium+Web' rel='stylesheet' type='text/css'>
		<link href='http://fonts.googleapis.com/css?family=Cabin+Condensed:400' rel='stylesheet' type='text/css'>
		
		<!-- JAVASCRIPTS -->
		<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.10.1/jquery.min.js"></script>
		<script src="include/js/jquery.wookmark.js"></script>
		<script type="text/javascript">
				$(function(){  // $(document).ready shorthand
					$('#main').hide().fadeIn('slow');
				});
		</script>
	</head>
	<body>
	<?php
if ($session->logged_in) { //If the user is logged in, he can see his personal files.php page.
?>
		<div class="header">
			<div class="logo-wrap">
				<a href="index.php"><div class="logo-img"></div></a>
			</div>
			<ul>
				<a href="upload.php?folder=/"><li><div class="upload-button"><?php echo "$lang_upload"; ?></div></li></a>
				<a href="#" onclick="alert('<?php echo "$lang_search_act"; ?>');"><li><div class="new-button"><?php echo "$lang_new_folder"; ?></div></li></a>
				<a href="#" onclick="alert('<?php echo "$lang_search_act"; ?>');"><li><div class="move-button"><?php echo "$lang_copy"; ?></div></li></a>
				<a href="#" onclick="alert('<?php echo "$lang_search_act"; ?>')"><li><div class="remove-button"><?php echo "$lang_remove"; ?></div></li></a>
			</ul>
			<input type="text" name="search" class="search-header" value="<?php echo "$lang_search"; ?>" onblur="if(value=='') value = '<?php echo "$lang_search"; ?>'" onfocus="if(value=='<?php echo "$lang_search"; ?>') value = ''" onclick="alert('<?php echo "$lang_search_act"; ?>');"/>
			<ul id="nav">
				<li class="nav-ps"><a href="#"><?php
				echo "$session->username";
?></a>
					<ul>
						<li><a href="useredit.php"><?php echo "$lang_settings"; ?></a></li>
						<li class="last"><a href="process.php"><?php echo "$lang_logout"; ?></a></li>
					</ul>
					<div class="clear"></div>
				</li>
			</ul>
		</div>
		
		<div class="sidebar-rp">
			<div class="sidebar-rp-filters">
				<ul id="filters">
					<li data-filter="image"><div class="sidebar ico-picture"></div><?php echo "$lang_pictures"; ?></li>
					<li data-filter="sound"><div class="sidebar ico-sound"></div><?php echo "$lang_sounds"; ?></li>
					<li data-filter="video"><div class="sidebar ico-video"></div><?php echo "$lang_videos"; ?></li>
					<li data-filter="text"><div class="sidebar ico-text"></div><?php echo "$lang_texts"; ?></li>
					<li data-filter="folder"><div class="sidebar ico-folder"></div><?php echo "$lang_folders"; ?></li>
					<li data-filter="other"><div class="sidebar ico-other"></div><?php echo "$lang_other"; ?></li>
				</ul>
			</div>
			<div class="sidebar-rp-stats">
			<?php
				include "include/php/foldersize.php"; //This script estimates the space occupied by the user.
				
				$spaziooccupato_mb    = foldersize("files/$session->username") / (1024 * 1024);
				$spaziodisponibile_mb = (USER_SPACE * 1024) - $spaziooccupato_mb;
				
				$spaziooccupato_perc = (100 * $spaziooccupato_mb) / (USER_SPACE * 1024);
?>
				<div class="rp-stats-progressbar-wr">
					<div class="rp-stats-progressbar-pb" style="width: <?php
				echo ceil(($spaziooccupato_perc)) . "%";
?>"></div>
				</div>
				<h2><?php
				echo ceil(($spaziodisponibile_mb)) . " MB";
?></h2>
				<h2><?php echo "$lang_available"; ?></h2>
			</div>
		</div>
		
		<div id="main" role="main">
			<ul id="tiles">
				<?php
				include "include/php/search.php"; //This script will search for files.
?>
		    </ul>
		</div>
		
	<?php
} else { //If the user is not logged in, he will go to the page login.php
				header("Location: login.php");
}
?>
	
	<script src="include/js/jquery.wookmark.start.js"></script>
	<script type="text/javascript">
				$(document).ready(function () {
					$('#nav li').hover(
						function () {
							//mostra sottomenu
							$('ul', this).stop(true, true).delay(50).slideDown(100);
 
						}, 
						function () {
							//nascondi sottomenu
							$('ul', this).stop(true, true).slideUp(200);        
						}
					);
				});
	</script>
	<script language="javascript" type="text/javascript"> 
		function showhide(id){ 
			if (document.getElementById){ 
			obj = document.getElementById(id); 
				if (obj.style.display == "none"){ 
				obj.style.display = ""; 
				} else { 
				obj.style.display = "none"; 
				} 
			} 
		} 
	</script>
	</body>
</html>