<?php
ob_start(); //for the header() bug.
include("include/php/session.php");
include("include/lang/languages.php");
?>
<!DOCTYPE html>
<html lang="en">
	<head>
		<title>Quicknube | <?php
echo "$session->username";
?></title>
		<link rel="shortcut icon" href="include/img/favicon.ico" />
		<meta http-equiv="Content-type" content="text/html;charset=ISO-8859-1">
		
		<!-- CSS -->
		<link rel="stylesheet" media="(min-width: 830px)" type="text/css" href="include/css/style.css" />
		<link rel="stylesheet" media="(max-width: 830px)" type="text/css" href="include/css/mobile.css" />
		<link href='http://fonts.googleapis.com/css?family=Titillium+Web' rel='stylesheet' type='text/css'>
		<link href='http://fonts.googleapis.com/css?family=Cabin+Condensed:400' rel='stylesheet' type='text/css'>
		<link href="include/player/video.js/video-js.css" rel="stylesheet" type="text/css">
		
		<!-- JAVASCRIPTS -->
		<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.10.1/jquery.min.js"></script>
		<script type="text/javascript">
				$(function(){  // $(document).ready shorthand
					$('.wrapper-gn-f').hide().fadeIn('slow');
				});
		</script>
		<script src="include/player/video.js/video.js"></script>
		<script>
			videojs.options.flash.swf = "video-js.swf";
		</script>
	</head>
	<body>
	<?php
if ($session->logged_in) { //If the user is logged in, he can see his personal files.php page.
?>
		<div class="header">
			<div class="logo-wrap">
				<a href="index.php"><div class="logo-img"></div></a>
			</div>
			<ul class="mobile-yes">
				<a href="upload.php?folder=/"><li><div class="upload-button"><?php echo "$lang_upload"; ?></div></li></a>
				<a href="#" onclick="alert('<?php echo "$lang_search_act"; ?>');"><li><div class="new-button"><?php echo "$lang_new_folder"; ?></div></li></a>
				<a href="#" onclick="alert('<?php echo "$lang_search_act"; ?>');"><li><div class="move-button"><?php echo "$lang_copy"; ?></div></li></a>
				<a href="#" onclick="alert('<?php echo "$lang_search_act"; ?>')"><li><div class="remove-button"><?php echo "$lang_remove"; ?></div></li></a>
			</ul>
			<ul id="nav-mobile" class="mobile-no">
				<li class="nav-ps-mobile"><a href="#"></a>
					<ul>
						<li><a href="upload.php?folder=<?php
				echo "$uplfolder";
?>"><?php echo "$lang_upload"; ?></a></li>
						<li><a href="#" onclick="alert('<?php echo "$lang_search_act"; ?>');"><?php echo "$lang_new_folder"; ?></a></li>
						<li><a href="#" onclick="alert('<?php echo "$lang_search_act"; ?>');"><?php echo "$lang_copy"; ?></a></li>
						<li class="last"><a href="#" onclick="alert('<?php echo "$lang_search_act"; ?>');"><?php echo "$lang_remove"; ?></a></li>
					</ul>
					<div class="clear"></div>
				</li>
			</ul>
			<input type="text" name="search" class="search-header" value="<?php echo "$lang_search"; ?>" onblur="if(value=='') value = '<?php echo "$lang_search"; ?>'" onfocus="if(value=='<?php echo "$lang_search"; ?>') value = ''" onclick="alert('<?php echo "$lang_search_act"; ?>');"/>
			<ul id="nav">
				<li class="nav-ps"><a href="#"><?php
				echo "$session->username";
?></a>
					<ul>
						<li><a href="useredit.php"><?php echo "$lang_settings"; ?></a></li>
						<li class="last"><a href="process.php"><?php echo "$lang_logout"; ?></a></li>
					</ul>
					<div class="clear"></div>
				</li>
			</ul>
		</div>
			
		<div class="sidebar-rp">
			<div class="sidebar-rp-filters">
				<a href="files.php?folder=/">
					<ul>
						<li data-filter="image"><div class="sidebar ico-picture"></div><?php echo "$lang_pictures"; ?></li>
						<li data-filter="sound"><div class="sidebar ico-sound"></div><?php echo "$lang_sounds"; ?></li>
						<li data-filter="video"><div class="sidebar ico-video"></div><?php echo "$lang_videos"; ?></li>
						<li data-filter="text"><div class="sidebar ico-text"></div><?php echo "$lang_texts"; ?></li>
						<li data-filter="folder"><div class="sidebar ico-folder"></div><?php echo "$lang_folders"; ?></li>
						<li data-filter="other"><div class="sidebar ico-other"></div><?php echo "$lang_other"; ?></li>
					</ul>
				</a>
			</div>
			<div class="sidebar-rp-stats">
			<?php
				include "include/php/foldersize.php"; //This script estimates the space occupied by the user.
				
				$spaziooccupato_mb    = foldersize("files/$session->username") / (1024 * 1024);
				$spaziodisponibile_mb = (USER_SPACE * 1024) - $spaziooccupato_mb;
				
				$spaziooccupato_perc = (100 * $spaziooccupato_mb) / (USER_SPACE * 1024);
?>
				<div class="rp-stats-progressbar-wr">
					<div class="rp-stats-progressbar-pb" style="width: <?php
				echo ceil(($spaziooccupato_perc)) . "%";
?>"></div>
				</div>
				<h2><?php
				echo ceil(($spaziodisponibile_mb)) . " MB";
?></h2>
				<h2><?php echo "$lang_available"; ?></h2>
			</div>
		</div>
		
		<div class="wrapper-gn-f">
			<div class="file">
				<?php
				$thefilet     = $_REQUEST['file'];
				$thefolder    = $_REQUEST['folder'];
				$thefile      = "files/$session->username$thefolder$thefilet";
				$filesizeb    = filesize($thefile);
				$filesizekb   = ceil($filesizeb / 1024) . " kb";
				$filesizemb   = round(($filesizeb / 1024) / 1024, 1) . " mb";
				$filedate     = date("F d, Y", filectime("$thefile"));
				$path_parts   = pathinfo($thefile);
				$theextension = $path_parts['extension'];
				$filetxt      = file_get_contents("$thefile");
?>
				<h3><?php
				echo "$thefolder";
?></h3>
				<h4><?php
				if (strlen($thefilet) <= 33) {
								echo "$thefilet";
				} else {
								$thefiletmini = substr("$thefilet", -30);
								echo "...$thefiletmini";
				}
?></h4>
				
				<?php
				switch ($theextension) {
								case "jpg":
								case "png":
								case "jpeg":
								case "bmp":
								case "gif":
												echo "<a href=\"$thefile\" target=\"_blank\"><img src=\"$thefile\" /></a>";
												break;
								case "mp3":
												echo "<div class=\"wrapper-mp3-f\"><object type=\"application/x-shockwave-flash\" data=\"include/player/player_mp3_mini.swf\" width=\"455\" height=\"46\" style=\"margin-top: 20px; margin-left: 20px;\">
									<param name=\"movie\" value=\"include/player/player_mp3_mini.swf\" />
									<param name=\"bgcolor\" value=\"#eeeeee\" />
									<param name=\"FlashVars\" value=\"mp3=$thefile&amp;bgcolor=eeeeee&amp;buttoncolor=444444&amp;loadingcolor=4690D1&amp;slidercolor=444444\" />
								  </object></div>";
												break;
								case "txt":
												echo "<div class=\"wrapper-txt-f\">$filetxt</div>";
												break;
								case "mp4":
												echo "<div class=\"videoplayer_wrapper\"><video id=\"video_1\" class=\"video-js vjs-default-skin\" controls preload=\"none\" width=\"100%\" height=\"100%\"
									  poster=\"include/player/video.js/bg.jpg\"
									  data-setup=\"{}\">
									<source src=\"$thefile\" type='video/mp4' />
								  </video></div>";
												break;
								case "htm":
								case "html":
												echo "<div class=\"wrapper-txt-f\"><iframe src=\"$thefile\" frameborder=\"0\" style=\"width: 470px; height: 180px;\"></iframe></div>";
												break;
								default:
												echo "<a href=\"$thefile\" target=\"_blank\"><div class=\"default-img-f\"></div></a>";
				}
?>
				<div class="fl-info">
					<h2><?php echo "$lang_size"; ?>: <?php
				if ($filesizekb <= 1024) {
								echo "$filesizekb";
				} else {
								echo "$filesizemb";
				}
?>
					</h2>
					<h2><?php echo "$lang_date"; ?>: <?php
				echo "$filedate";
?></h2>
					<h2><?php echo "$lang_type"; ?>: <?php
				echo ".$theextension";
?></h2>
				</div>
				<div class="fl-button">
					<?php
				echo "<a href=\"$thefile\" target=\"_blank\">";
?><button>Download</button></a>
					<button onclick="showhide('share-wrapper'); return(false);"><?php echo "$lang_share"; ?></button>
				</div>
				<div style="clear: both"></div>
				<div style="display: none; z-index: 99" id="share-wrapper">
					<input type="text" name="share-link" readonly="readonly" value="<?php
				echo "http://" . $_SERVER['SERVER_NAME'];
				echo SYSTEM_DIRECTORY;
				echo "/$thefile";
?>" onclick="this.focus(); this.select();" />
					<div class="social-share">
						<a href="https://twitter.com/intent/tweet?source=webclient&text=<?php
				echo "http://" . $_SERVER['SERVER_NAME'];
				echo SYSTEM_DIRECTORY;
				echo "/$thefile";
?>" target="_blank"><div class="twitter-ico-38"></div></a>
						<a href="https://www.facebook.com/sharer/sharer.php?u=<?php
				echo "http://" . $_SERVER['SERVER_NAME'];
				echo SYSTEM_DIRECTORY;
				echo "/$thefile";
?>" target="_blank"><div class="facebook-ico-38"></div></a>
						<div style="clear: both"></div>
					</div>
					<div style="clear: both"></div>
				</div>
			</div>
		</div>
	<?php
} else { //If the user is not logged in, he will go to the page login.php
				header("Location: login.php");
}
?>
	
	<script type="text/javascript">
				$(document).ready(function () {
					$('#nav li').hover(
						function () {
							//mostra sottomenu
							$('ul', this).stop(true, true).delay(50).slideDown(100);
 
						}, 
						function () {
							//nascondi sottomenu
							$('ul', this).stop(true, true).slideUp(200);        
						}
					);
				});
				$(document).ready(function () {
					$('#nav-mobile li').hover(
						function () {
							//mostra sottomenu
							$('ul', this).stop(true, true).delay(50).slideDown(100);
 
						}, 
						function () {
							//nascondi sottomenu
							$('ul', this).stop(true, true).slideUp(200);        
						}
					);
				});
	</script>
	<script language="javascript" type="text/javascript"> 
		function showhide(id){ 
			if (document.getElementById){ 
			obj = document.getElementById(id); 
				if (obj.style.display == "none"){ 
				obj.style.display = ""; 
				} else { 
				obj.style.display = "none"; 
				} 
			} 
		} 
	</script>
	</body>
</html>