<?php
ob_start(); //for the header() bug.
include("include/php/session.php");
include("include/lang/languages.php");
?>
<!DOCTYPE html>
<html lang="en">
	<head>
		<title>Quicknube | <?php
echo "$session->username";
?></title>
		<link rel="shortcut icon" href="include/img/favicon.ico" />
		<meta http-equiv="Content-type" content="text/html;charset=ISO-8859-1">
		
		<!-- CSS -->
		<link rel="stylesheet" media="(min-width: 750px)" type="text/css" href="include/css/style.css" />
		<link rel="stylesheet" media="(max-width: 750px)" type="text/css" href="include/css/mobile.css" />
		<link href='http://fonts.googleapis.com/css?family=Titillium+Web' rel='stylesheet' type='text/css'>
		<link href='http://fonts.googleapis.com/css?family=Cabin+Condensed:400' rel='stylesheet' type='text/css'>
		
		<!-- JAVASCRIPTS -->
		<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.10.1/jquery.min.js"></script>
		<script src="include/js/jquery.wookmark.js"></script>
		<script type="text/javascript">
				$(function(){  // $(document).ready shorthand
					$('#main').hide().fadeIn('slow');
				});
		</script>
	</head>
	<body>
	<?php
if ($session->logged_in) { //If the user is logged in, he can see his personal files.php page.
?>
		<div class="header">
			<div class="logo-wrap">
				<a href="index.php"><div class="logo-img"></div></a>
			</div>
			<?php
				$uplfolder = $_REQUEST['folder']; //The folder required by the user.
?>
			<ul class="mobile-yes">
				<a href="upload.php?folder=<?php
				echo "$uplfolder";
?>"><li><div class="upload-button"><?php echo "$lang_upload"; ?></div></li></a>
				<a href="#" onclick="showhide('new-folder'); return(false);"><li><div class="new-button"><?php echo "$lang_new_folder"; ?></div></li></a>
				<a href="#" onclick="showhide('move-file'); return(false);"><li><div class="move-button"><?php echo "$lang_copy"; ?></div></li></a>
				<a href="#" onclick="showhide('remove-file'); return(false);"><li><div class="remove-button"><?php echo "$lang_remove"; ?></div></li></a>
			</ul>
			<ul id="nav-mobile" class="mobile-no">
				<li class="nav-ps-mobile"><a href="#"></a>
					<ul>
						<li><a href="upload.php?folder=<?php
				echo "$uplfolder";
?>"><?php echo "$lang_upload"; ?></a></li>
						<li><a href="#" onclick="showhide('new-folder'); return(false);"><?php echo "$lang_new_folder"; ?></a></li>
						<li><a href="#" onclick="showhide('move-file'); return(false);"><?php echo "$lang_copy"; ?></a></li>
						<li class="last"><a href="#" onclick="showhide('remove-file'); return(false);"><?php echo "$lang_remove"; ?></a></li>
					</ul>
					<div class="clear"></div>
				</li>
			</ul>
			<form action="result.php?folder=<?php
				echo "$uplfolder";
?>" method="POST" autocomplete="off">
				<input type="text" name="query" class="search-header" value="<?php echo "$lang_search"; ?>" onblur="if(value=='') value = '<?php echo "$lang_search"; ?>'" onfocus="if(value=='<?php echo "$lang_search"; ?>') value = ''"/>
			</form>
			<ul id="nav">
				<li class="nav-ps"><a href="#"><?php
				echo "$session->username";
?></a>
					<ul>
						<li><a href="useredit.php"><?php echo "$lang_settings"; ?></a></li>
						<li class="last"><a href="process.php"><?php echo "$lang_logout"; ?></a></li>
					</ul>
					<div class="clear"></div>
				</li>
			</ul>
		</div>
		
		<div class="menu-pop-up" id="new-folder" style="display: none">
			<form action="include/php/mkdir.php" method="POST" autocomplete="off">
				<input type="text" value="<?php echo "$lang_name_of_the_folder"; ?>" onblur="if(value=='') value = '<?php echo "$lang_name_of_the_folder"; ?>'" onfocus="if(value=='<?php echo "$lang_name_of_the_folder"; ?>') value = ''" name="foldername-cr" maxlength="30" />
				<input type="text" value="<?php
				echo "$uplfolder";
?>" name="folder-in" style="display: none;"/>
				<input type="text" value="<?php
				echo "$session->username";
?>" name="username-in" style="display: none;"/>
				<button><?php echo "$lang_create"; ?></button>
			</form>
		</div>
		<div class="menu-pop-up" id="move-file" style="display: none">
			<form action="include/php/mvfile.php" method="POST" autocomplete="off">
				<input type="text" value="<?php echo "$lang_name_of_the_file"; ?>" onblur="if(value=='') value = '<?php echo "$lang_name_of_the_file"; ?>'" onfocus="if(value=='<?php echo "$lang_name_of_the_file"; ?>') value = ''" name="filename-mv" maxlength="30" />
				<input type="text" value="<?php
				echo "$uplfolder";
?>" name="folder-in" style="display: none;"/>
				<input type="text" value="<?php
				echo "$session->username";
?>" name="username-in" style="display: none;"/>
				<button><?php echo "$lang_copy_to"; ?></button>
				<input type="text" value="<?php echo "$lang_name_of_the_folder"; ?>" onblur="if(value=='') value = '<?php echo "$lang_name_of_the_folder"; ?>'" onfocus="if(value=='<?php echo "$lang_name_of_the_folder"; ?>') value = ''" name="foldername-mv" maxlength="30" style="margin: 15px 0px 15px -5px;" />
			</form>
		</div>
		<div class="menu-pop-up" id="remove-file" style="display: none">
			<form action="include/php/rmfile.php" method="POST" autocomplete="off">
				<input type="text" value="<?php echo "$lang_name_of_the_file_or_folder"; ?>" onblur="if(value=='') value = '<?php echo "$lang_name_of_the_file_or_folder"; ?>'" onfocus="if(value=='<?php echo "$lang_name_of_the_file_or_folder"; ?>') value = ''" name="filename-rm" maxlength="30" />
				<input type="text" value="<?php
				echo "$uplfolder";
?>" name="folder-in" style="display: none;"/>
				<input type="text" value="<?php
				echo "$session->username";
?>" name="username-in" style="display: none;"/>
				<button><?php echo "$lang_remove"; ?></button>
			</form>
		</div>
		
		<div class="sidebar-rp">
			<div class="sidebar-rp-filters">
				<ul id="filters">
					<li data-filter="image"><div class="sidebar ico-picture"></div><?php echo "$lang_pictures"; ?></li>
					<li data-filter="sound"><div class="sidebar ico-sound"></div><?php echo "$lang_sounds"; ?></li>
					<li data-filter="video"><div class="sidebar ico-video"></div><?php echo "$lang_videos"; ?></li>
					<li data-filter="text"><div class="sidebar ico-text"></div><?php echo "$lang_texts"; ?></li>
					<li data-filter="folder"><div class="sidebar ico-folder"></div><?php echo "$lang_folders"; ?></li>
					<li data-filter="other"><div class="sidebar ico-other"></div><?php echo "$lang_other"; ?></li>
				</ul>
			</div>
			<div class="sidebar-rp-stats">
			<?php
				include "include/php/foldersize.php"; //This script estimates the space occupied by the user.
				
				$spaziooccupato_mb    = foldersize("files/$session->username") / (1024 * 1024);
				$spaziodisponibile_mb = (USER_SPACE * 1024) - $spaziooccupato_mb;
				
				$spaziooccupato_perc = (100 * $spaziooccupato_mb) / (USER_SPACE * 1024);
?>
				<div class="rp-stats-progressbar-wr">
					<div class="rp-stats-progressbar-pb" style="width: <?php
				echo ceil(($spaziooccupato_perc)) . "%";
?>"></div>
				</div>
				<h2><?php
				echo ceil(($spaziodisponibile_mb)) . " MB";
?></h2>
				<h2><?php echo "$lang_available"; ?></h2>
			</div>
		</div>
		
		<div id="main" role="main">
			<ul id="tiles">
				<?php
				include "include/php/opendir.php"; //This script opens the user's folders.
?>
		    </ul>
		</div>
		
	<?php
} else { //If the user is not logged in, he will go to the page login.php
				header("Location: login.php");
}
?>
	
	<script src="include/js/jquery.wookmark.start.js"></script>
	<script type="text/javascript">
				$(document).ready(function () {
					$('#nav li').hover(
						function () {
							//mostra sottomenu
							$('ul', this).stop(true, true).delay(50).slideDown(100);
 
						}, 
						function () {
							//nascondi sottomenu
							$('ul', this).stop(true, true).slideUp(200);        
						}
					);
				});
				$(document).ready(function () {
					$('#nav-mobile li').hover(
						function () {
							//mostra sottomenu
							$('ul', this).stop(true, true).delay(50).slideDown(100);
 
						}, 
						function () {
							//nascondi sottomenu
							$('ul', this).stop(true, true).slideUp(200);        
						}
					);
				});
	</script>
	<script language="javascript" type="text/javascript"> 
		function showhide(id){ 
			if (document.getElementById){ 
			obj = document.getElementById(id); 
				if (obj.style.display == "none"){ 
				obj.style.display = ""; 
				} else { 
				obj.style.display = "none"; 
				} 
			} 
		} 
	</script>
	</body>
</html>