<?php
ob_start(); //for the header() bug.
include("include/php/session.php");
include("include/lang/languages.php");
?>
<!DOCTYPE html>
<html lang="en">
	<head>
		<title>Quicknube | Forgot Password</title>
		<link rel="shortcut icon" href="include/img/favicon.ico" />
		<meta http-equiv="Content-type" content="text/html;charset=ISO-8859-1">
		
		<!-- CSS -->
		<link rel="stylesheet" media="(min-width: 830px)" type="text/css" href="include/css/style.css" />
		<link rel="stylesheet" media="(max-width: 830px)" type="text/css" href="include/css/mobile.css" />
		<link href='http://fonts.googleapis.com/css?family=Titillium+Web' rel='stylesheet' type='text/css'>
		<link href='http://fonts.googleapis.com/css?family=Cabin+Condensed:400' rel='stylesheet' type='text/css'>
		
		<!-- JAVASCRIPTS -->
		<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.10.1/jquery.min.js"></script>
		<script type="text/javascript">
				$(function(){  // $(document).ready shorthand
					$('.intro-pu-wrapper').hide().fadeIn('slow');
				});
		</script>
	</head>
	<body>
	<?php
if ($session->logged_in) { //If the user is logged in, he will go to the page files.php
				header("Location: files.php?folder=/");
} else {
?>
		<div class="header">
			<div class="logo-wrap">
				<a href="index.php"><div class="logo-img"></div></a>
			</div>
			<ul>
				<a href="register.php"><li><div class="signup-button"><?php echo "$lang_sign_up"; ?></div></li></a>
				<a href="login.php"><li><div class="login-button"><?php echo "$lang_log_in"; ?></div></li></a>
			</ul>
		</div>
	<?php
				if (isset($_SESSION['forgotpass'])) {
								if ($_SESSION['forgotpass']) { //The new password has been generated and sent successfully.
												echo "<div class=\"intro-pu-wrapper\">
					<h1>$lang_new_password</h1>";
												echo "	<div id=\"form-intro-pu\" style=\"position: absolute;top: 70px;\">
						<h3>$lang_new_password_2</h3>
					</div>";
												echo "	<div class=\"intro-pu-options\" style=\"margin-top: 110px; height: 25px;\"></div>
					<div class=\"footer-intro-pu\">$lang_back_to <a href=\"login.php\">Log In</a></div>
				</div>";
								} else { //The new password has not generated, there was an error.
												echo "<div class=\"intro-pu-wrapper\">
					<h1>$lang_new_password_failure</h1>";
												echo "	<div id=\"form-intro-pu\" style=\"position: absolute;top: 70px;\">
						<h4>$lang_new_password_failure_2</h4>
					</div>";
												echo "	<div class=\"intro-pu-options\" style=\"margin-top: 110px; height: 25px;\"></div>
					<div class=\"footer-intro-pu\">$lang_back_to <a href=\"login.php\">Log In</a></div>
				</div>";
								}
								unset($_SESSION['forgotpass']);
				} else {
?>
		<div class="intro-pu-wrapper">
			<h1><?php echo "$lang_login_forgot_2"; ?></h1>
			<?php
								if ($form->num_errors > 0) { //Errors Checking
												echo "<div style=\"width: 100%;text-align: center;color: #ea1515;\">$lang_username_not</div>";
								}
?>
			<form action="process.php" method="POST" autocomplete="off">
			<?php
								if ($form->num_errors > 0) {
												echo "<div id=\"form-intro-pu\" style=\"position: absolute;top: 90px;\">";
								} else {
												echo "<div id=\"form-intro-pu\" style=\"position: absolute;top: 70px;\">";
								}
?>
				<input class="login-user-logo" type="text" style="margin-top:10px" value="Username" onblur="if(value=='') value = 'Username'" onfocus="if(value=='Username') value = ''" name="user" maxlength="30">
				<input type="hidden" name="subforgot" value="1">
				<button value="Get New Password" style="margin-top:70px"><?php echo "$lang_submit"; ?></button>
			</div>
			<div class="intro-pu-options" style="margin-top: 150px; height: 25px;"></div>
			</form>
			
			<div class="footer-intro-pu">
				<?php echo "$lang_new_password_alert"; ?>
			</div>
		</div>
		<?php
				}
}
?>
	</body>
</html>
