<?php
ob_start(); //for the header() bug.
include("include/php/session.php");
include("include/lang/languages.php");
?>
<!DOCTYPE html>
<html lang="en">
	<head>
		<title>Quicknube | Log In</title>
		<link rel="shortcut icon" href="include/img/favicon.ico" />
		<meta http-equiv="Content-type" content="text/html;charset=ISO-8859-1">
		
		<!-- CSS -->
		<link rel="stylesheet" media="(min-width: 750px)" type="text/css" href="include/css/style.css" />
		<link rel="stylesheet" media="(max-width: 750px)" type="text/css" href="include/css/mobile.css" />
		<link href='http://fonts.googleapis.com/css?family=Titillium+Web' rel='stylesheet' type='text/css'>
		<link href='http://fonts.googleapis.com/css?family=Cabin+Condensed:400' rel='stylesheet' type='text/css'>
		
		<!-- JAVASCRIPTS -->
		<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.10.1/jquery.min.js"></script>
		<script type="text/javascript">
				$(function(){  // $(document).ready shorthand
					$('.intro-pu-wrapper').hide().fadeIn('slow');
				});
		</script>
	</head>
	<body>
	
	<?php
if ($session->logged_in) { //If the user is logged in, he will go to the page files.php
				header("Location: files.php?folder=/");
} else {
?>
		<div class="header">
			<div class="logo-wrap">
				<a href="index.php"><div class="logo-img"></div></a>
			</div>
			<ul>
				<a href="register.php"><li><div class="signup-button"><?php echo "$lang_sign_up"; ?></div></li></a>
				<a href="login.php"><li><div class="login-button"><?php echo "$lang_log_in"; ?></div></li></a>
			</ul>
		</div>
		<div class="intro-pu-wrapper">
			<h1><?php echo "$lang_log_in"; ?></h1>
			<?php
				if ($form->num_errors > 0) { //Errors Checking
								echo "<div style=\"width: 100%;text-align: center;color: #ea1515;\">You made a mistake</div>";
				}
?>
			<form action="process.php" method="POST" autocomplete="off">
			<?php
				if ($form->num_errors > 0) {
								echo "<div id=\"form-intro-pu\" style=\"position: absolute;top: 90px;\">";
				} else {
								echo "<div id=\"form-intro-pu\" style=\"position: absolute;top: 70px;\">";
				}
?>
				<input class="login-user-logo" type="text" style="margin-top:10px" value="Username" onblur="if(value=='') value = 'Username'" onfocus="if(value=='Username') value = ''" name="user" maxlength="30">
				<input class="login-password-logo-wt" style="margin-top:70px" type="password"  name="pass" maxlength="30" onclick="this.className='login-password-logo'" />
				<input type="hidden" name="sublogin" value="1">
				<button value="Login" style="margin-top:130px"><?php echo "$lang_log_in"; ?></button>
			</div>
			<div class="intro-pu-options" style="margin-top: 230px">
					<input id="rimaniconnesso" class="login-checkbox" type="checkbox" name="remember" <?php
				if ($form->value("remember") != "") {
								echo "checked";
				}
?> />
					<label for="rimaniconnesso" class="login-label"><?php echo "$lang_login_keep_me"; ?></label>
			</div>
			</form>
			<div class="footer-intro-pu">
				<?php echo "$lang_login_forgot"; ?> <a href="forgotpass.php"><?php echo "$lang_login_forgot_recover"; ?></a>
			</div>
		</div>
	<?php
}
?>
	</body>
</html>
