<?php
ob_start(); //for the header() bug.
include("include/php/session.php");
include("include/lang/languages.php");
?>
<!DOCTYPE html>
<html lang="en">
	<head>
		<title>Quicknube | Sign Up</title>
		<link rel="shortcut icon" href="include/img/favicon.ico" />
		<meta http-equiv="Content-type" content="text/html;charset=utf-8">
		
		<!-- CSS -->
		<link rel="stylesheet" media="(min-width: 830px)" type="text/css" href="include/css/style.css" />
		<link rel="stylesheet" media="(max-width: 830px)" type="text/css" href="include/css/mobile.css" />
		<link href='http://fonts.googleapis.com/css?family=Droid+Arabic+Kufi' rel='stylesheet' type='text/css'>
		<link href='http://fonts.googleapis.com/css?family=Cabin+Condensed:400' rel='stylesheet' type='text/css'>
	
		<!-- JAVASCRIPTS -->
		<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.10.1/jquery.min.js"></script>
		<script type="text/javascript">
				$(function(){  // $(document).ready shorthand
					$('.intro-pu-wrapper').hide().fadeIn('slow');
				});
		</script>
	</head>
	<body>

	<?php
if ($session->logged_in) { //If the user is logged in, he will go to the page files.php
				header("Location: files.php?folder=/");
} else if (isset($_SESSION['regsuccess'])) {
				if ($_SESSION['regsuccess']) { //Sign in success
								$path = "files/" . $_SESSION['reguname'];
								mkdir("$path", 0777);
								
								$paththumb = "files/" . $_SESSION['reguname'] . "/thumbs";
								mkdir("$paththumb", 0777);
								
								$NomeFile   = "files/" . $_SESSION['reguname'] . "/index.html";
								$FileHandle = fopen($NomeFile, 'w');
								fclose($FileHandle);
								
								header("Location: login.php");
				} else { //Sign in failed
								echo "<div class=\"intro-pu-wrapper\"><h1>$lang_registration_failed</h1>";
								echo "<p>$lang_registration_error <b>" . $_SESSION['reguname'] . "</b>, " . "$lang_registration_error_2<br>$lang_registration_error_3</p></div>";
				}
				unset($_SESSION['regsuccess']);
				unset($_SESSION['reguname']);
} else {
?>
		<div class="header">
			<div class="logo-wrap">
				<a href="index.php"><div class="logo-img"></div></a>
			</div>
			<ul>
				<a href="register.php"><li><div class="signup-button"><?php echo "$lang_sign_up"; ?></div></li></a>
				<a href="login.php"><li><div class="login-button"><?php echo "$lang_log_in"; ?></div></li></a>
			</ul>
		</div>
		<div class="intro-pu-wrapper">
			<h1><?php echo "$lang_sign_up"; ?></h1>
		<?php
				if ($form->num_errors > 0) { //Errors Checking
								echo "<div style=\"width: 100%;text-align: center;color: #ea1515;\">$lang_error</div>";
				}
?>
			<form action="process.php" method="POST" autocomplete="off">
			<?php
				if ($form->num_errors > 0) {
								echo "<div id=\"form-intro-pu\" style=\"position: absolute;top: 90px;\">";
				} else {
								echo "<div id=\"form-intro-pu\" style=\"position: absolute;top: 70px;\">";
				}
?>
				<input class="login-user-logo" type="text" style="margin-top:10px" value="Username" onblur="if(value=='') value = 'Username'" onfocus="if(value=='Username') value = ''" name="user" maxlength="30">
				<input class="login-mail-logo" type="text" style="margin-top:70px" value="Email" onblur="if(value=='') value = 'Email'" onfocus="if(value=='Email') value = ''" name="email" maxlength="50">
				<input class="login-password-logo-wt" style="margin-top:130px" type="password"  name="pass" maxlength="30" onclick="this.className='login-password-logo'" />
				<input type="hidden" name="subjoin" value="1">
				<button value="Register" style="margin-top:190px"><?php echo "$lang_sign_up"; ?></button>
			</div>
			<div class="intro-pu-options" style="margin-top: 230px; height: 25px;"></div>
			</form>
			<div class="footer-intro-pu">
				<?php echo "$lang_sign_up_email"; ?>
			</div>
		</div>
		<?php
}
?>
</body>
</html>
