<?php
ob_start(); //for the header() bug.
include("include/php/session.php");
include("include/lang/languages.php");
?>
<!DOCTYPE html>
<html lang="en">
	<head>
		<title>Quicknube | SystemStats</title>
		<link rel="shortcut icon" href="include/img/favicon.ico" />
		<meta http-equiv="Content-type" content="text/html;charset=ISO-8859-1">
		
		<!-- CSS -->
		<link rel="stylesheet" media="(min-width: 830px)" type="text/css" href="include/css/style.css" />
		<link rel="stylesheet" media="(max-width: 830px)" type="text/css" href="include/css/mobile.css" />
		<link href='http://fonts.googleapis.com/css?family=Titillium+Web' rel='stylesheet' type='text/css'>
		<link href='http://fonts.googleapis.com/css?family=Cabin+Condensed:400' rel='stylesheet' type='text/css'>
		<link href="include/css/jquery.mCustomScrollbar.css" rel="stylesheet" type="text/css" />
		
		<!-- JAVASCRIPTS -->
		<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.10.1/jquery.min.js"></script>
		<script src="include/js/jquery.mCustomScrollbar.concat.min.js"></script>
		<script src="include/js/jquery.knob.js"></script>
		<script src="include/js/jquery.sysstats.js"></script>
		<script type="text/javascript">
				$(function(){  // $(document).ready shorthand
					$('.intro-pu-wrapper').hide().fadeIn('slow');
				});
		</script>
	</head>
	<body>

		<div class="header">
			<div class="logo-wrap">
				<a href="index.php"><div class="logo-img"></div></a>
			</div>
		</div>
		
		<div class="sysstats-wrapper">
			<h1><?php echo "$lang_system_stats"; ?></h1>
			
			<div class="sysstats-scroller">
				<h2><?php echo "$lang_members"; ?></h2>
				<?php
echo "<h3 style=\"margin-top:10px;\">$lang_there_are " . $database->getNumMembers() . " $lang_members_total.</h3>";
echo "<h3 style=\"margin-top:70px;\">$lang_there_are $database->num_active_users $lang_registered_members.</h3>";
echo "<h3 style=\"margin-top:130px;\">$lang_there_are $database->num_active_guests $lang_guests.</h3>";
?>
				<div style="margin-top:215px;">
					<h2><?php echo "$lang_space"; ?></h2>
					
					<?php
include "include/php/foldersize.php";

$totalspace_mb_pr = foldersize("files/") / (1024 * 1024);
$totalspace_mb    = ceil(($totalspace_mb_pr));

$freespace_pr = (TOT_SPACE * 1024) - $totalspace_mb;
$freespace    = ceil(($freespace_pr));

$perc_totalspace_pr = (100 * $totalspace_mb) / (TOT_SPACE * 1024);
$perc_totalspace    = ceil(($perc_totalspace_pr));

echo "<h4 style=\"margin-top:10px;\">$lang_your_system_has ";
print(TOT_SPACE);
echo " $lang_gb_total.</h4>";

echo "<h4 style=\"margin-top:70px;\">$lang_user_has ";
print(USER_SPACE);
echo " $lang_gb_total.</h4>";

echo "<h4 style=\"margin-top:130px;\">$lang_your_system_has $freespace $lang_mb_avaiable.</h4>";

echo "<h4 style=\"margin-top:190px;\">There are $totalspace_mb $lang_mb_busy.</h4>";

echo "<div style=\"margin-top: 265px; margin-left: 110px;\"><input class=\"knob\" data-bgColor=\"#FFFFFF\" data-fgColor=\"#4690D1\" data-thickness=\".4\" data-width=\"150\" data-readOnly=true value=\"$perc_totalspace\"></div>";
?>
					
					<div style="margin-top:-60px;">
						<h2><?php echo "$lang_license_lang"; ?></h2>
						
					<?php
if (SYSTEM_LICENSE) {
				echo "<h4 style=\"margin-top:10px;\">$lang_license_1.</h4>";
} else {
				echo "<h4 style=\"margin-top:10px;\">$lang_license_2.</h4>";
}
				echo "<h4 style=\"margin-top:70px;\">The language is \"".SYSTEM_LANG."\"</h4>";
?>
					</div>
					<br /><br /><br /><br /><br /><br /><br />
				</div>
			</div>
		
		
		<!-- JAVASCRIPT -->
		<script>
			(function($){
				$(window).load(function(){
					$(".sysstats-scroller").mCustomScrollbar();
				});
			})(jQuery);
		</script>
	</body>
</html>
