<?php
ob_start(); //for the header() bug.
include("include/php/session.php");
include("include/lang/languages.php");
?>
<!DOCTYPE html>
<html lang="en">
	<head>
		<title>Quicknube | Upload</title>
		<link rel="shortcut icon" href="include/img/favicon.ico" />
		<meta http-equiv="Content-type" content="text/html;charset=ISO-8859-1">
		
		<!-- CSS -->
		<link rel="stylesheet" media="(min-width: 830px)" type="text/css" href="include/css/style.css" />
		<link rel="stylesheet" media="(max-width: 830px)" type="text/css" href="include/css/mobile.css" />
		<link href='http://fonts.googleapis.com/css?family=Titillium+Web' rel='stylesheet' type='text/css'>
		<link href='http://fonts.googleapis.com/css?family=Cabin+Condensed:400' rel='stylesheet' type='text/css'>
		
		<!-- JAVASCRIPTS -->
		<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.10.1/jquery.min.js"></script>
		<script type="text/javascript">
				$(function(){  // $(document).ready shorthand
					$('.intro-pu-wrapper').hide().fadeIn('slow');
				});
		</script>
	</head>
	<body>
	<?php
if ($session->logged_in) { //If the user is logged in, he can see his upload.php page.
?>
		<?php
				$folderui = $_REQUEST['folder'];
?> 
		<div class="header">
			<div class="logo-wrap">
				<a href="files.php?folder=<?php
				echo "$folderui";
?>"><div class="logo-img"></div></a>
			</div>
			<ul id="nav">
				<li class="nav-ps"><a href="#"><?php
				echo "$session->username";
?></a>
					<ul>
						<li><a href="useredit.php"><?php echo "$lang_settings"; ?></a></li>
						<li class="last"><a href="process.php"><?php echo "$lang_logout"; ?></a></li>
					</ul>
						<div class="clear"></div>
				</li>
			</ul>
		</div>
		<?php
				include "include/php/foldersize.php"; //This script estimates the space occupied by the user.
				
				$spaziooccupato_mb    = foldersize("files/$session->username") / (1024 * 1024);
				$spaziodisponibile_mb = (USER_SPACE * 1024) - $spaziooccupato_mb;
				
				if ($spaziodisponibile_mb <= 0) {
?>
		<div class="intro-pu-wrapper">
			<h1><?php echo "$lang_no_space"; ?></h1>
		</div>
		<?php
				} else {
?>
		<div class="intro-pu-wrapper">
			<h1>Upload</h1>
			<form action="include/php/uploader.php" method="post" enctype="multipart/form-data">
				<div id="form-intro-pu" style="position: absolute;top: 70px;">
					<div class="lissie-input"  onclick="this.className='lissie-input-thn'">
						<a href="#"><?php echo "$lang_select_file"; ?></a>
						<input class="fileInput hidden" type="file" name="file" />
						<input type="text" style="display:none" name="foldertui" value="<?php
								echo "$folderui";
?>" />
					</div>
					<button value="Upload Files" name="submit" style="margin-top:130px"><?php echo "$lang_upload_file"; ?></button>
					<div class="upl-progress">
						<div class="upl-bar"></div >
						<div class="upl-percent">0%</div >
					</div>
					
					<div id="status" style="width: 300px;height: 60px;position: absolute;top: 240px;left: 0px;color: #8B8B8B;text-align: center;line-height: 60px;z-index: 999;"></div>
				</div>
				<div class="intro-pu-options" style="margin-top: 200px; height: 25px;"></div>
			</form>
			<div class="footer-intro-pu">
				<?php echo "$lang_folder"; ?>: 
				<?php
								if (strlen($folderui) <= 25) {
												echo "$folderui";
								} else {
												$folderuimini = substr("$folderui", -10);
												echo "...$folderuimini";
								}
?>
			</div>
		</div>
	<?php
				}
} else {
				header("Location: login.php");
}
?>
   
	<script src="http://malsup.github.com/jquery.form.js"></script>
	<script>
		(function() {
			
		var bar = $('.upl-bar');
		var percent = $('.upl-percent');
		var status = $('#status');
		   
		$('form').ajaxForm({
			beforeSend: function() {
				status.empty();
				var percentVal = '0%';
				bar.width(percentVal)
				percent.html(percentVal);
			},
			uploadProgress: function(event, position, total, percentComplete) {
				var percentVal = percentComplete + '%';
				bar.width(percentVal)
				percent.html(percentVal);
				//console.log(percentVal, position, total);
			},
			success: function() {
				var percentVal = '100%';
				bar.width(percentVal)
				percent.html(percentVal);
			},
			complete: function(xhr) {
				status.html(xhr.responseText);
			}
		}); 

		})();       
	</script>
	<script type="text/javascript">
				$(document).ready(function () {
					$('#nav li').hover(
						function () {
							//mostra sottomenu
							$('ul', this).stop(true, true).delay(50).slideDown(100);
 
						}, 
						function () {
							//nascondi sottomenu
							$('ul', this).stop(true, true).slideUp(200);        
						}
					);
				});
	</script>
	<script type="text/javascript">
	/*You can use some jQuery to simulate a button-press effect by changing the background color/image, font size/weight/color, etc..*/

		$(function() {
			$(".inputWrapper").mousedown(function() {
				var button = $(this);
				button.addClass('clicked');
				setTimeout(function(){
					button.removeClass('clicked');
				},50);
			});
		});
	</script>
	</body>
</html>
