<?php
ob_start(); //for the header() bug.
include("include/php/session.php");
include("include/lang/languages.php");
?>
<!DOCTYPE html>
<html lang="en">
	<head>
		<title>Quicknube | Settings</title>
		<link rel="shortcut icon" href="include/img/favicon.ico" />
		<meta http-equiv="Content-type" content="text/html;charset=ISO-8859-1">
		
		<!-- CSS -->
		<link rel="stylesheet" media="(min-width: 830px)" type="text/css" href="include/css/style.css" />
		<link rel="stylesheet" media="(max-width: 830px)" type="text/css" href="include/css/mobile.css" />
		<link href='http://fonts.googleapis.com/css?family=Titillium+Web' rel='stylesheet' type='text/css'>
		<link href='http://fonts.googleapis.com/css?family=Cabin+Condensed:400' rel='stylesheet' type='text/css'>
		
		<!-- JAVASCRIPTS -->
		<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.10.1/jquery.min.js"></script>
		<script type="text/javascript">
				$(function(){  // $(document).ready shorthand
					$('.intro-pu-wrapper').hide().fadeIn('slow');
				});
		</script>
	</head>
	<body>
	<?php
if ($session->logged_in) { //If the user is logged in, he can see his personal files.php page.
?>
		<div class="header">
			<div class="logo-wrap">
				<a href="files.php?folder=/"><div class="logo-img"></div></a>
			</div>
			<ul id="nav">
				<li class="nav-ps"><a href="#"><?php
				echo "$session->username";
?></a>
					<ul>
						<li><a href="useredit.php"><?php echo "$lang_settings"; ?></a></li>
						<li class="last"><a href="process.php"><?php echo "$lang_logout"; ?></a></li>
					</ul>
						<div class="clear"></div>
				</li>
			</ul>
		</div>
	<?php
				if (isset($_SESSION['useredit'])) {
								unset($_SESSION['useredit']); //Account successfully edited
								echo "<div class=\"intro-pu-wrapper\">
					<h1>$lang_settings</h1>";
								echo "	<div id=\"form-intro-pu\" style=\"position: absolute;top: 70px;\">
						<h3>$lang_account_edited</h3>
					</div>";
								echo "	<div class=\"intro-pu-options\" style=\"margin-top: 110px; height: 25px;\"></div>
					<div class=\"footer-intro-pu\">$lang_back_to <a href=\"files.php?folder=/\">Files</a></div>
				</div>";
				} else { //Edit account failed
?>
		<div class="intro-pu-wrapper">
			<h1><?php echo "$lang_settings"; ?></h1>
			<?php
								if ($form->num_errors > 0) { //Errors Checking
												echo "<div style=\"width: 100%;text-align: center;color: #ea1515;\">$lang_error</div>";
								}
?>
			<form action="process.php" method="POST" autocomplete="off">
			<?php
								if ($form->num_errors > 0) {
												echo "<div id=\"form-intro-pu\" style=\"position: absolute;top: 90px;\">";
								} else {
												echo "<div id=\"form-intro-pu\" style=\"position: absolute;top: 70px;\">";
								}
?>
					<input class="login-mail-logo" type="text" style="margin-top:10px" value="New Email" onblur="if(value=='') value = 'New Email'" onfocus="if(value=='New Email') value = ''" name="email" maxlength="50">
					<input class="login-password-logo-wt-cp" style="margin-top:70px" type="password"  name="curpass" maxlength="30" onclick="this.className='login-password-logo'" />
					<input class="login-password-logo-wt-np" style="margin-top:130px" type="password"  name="newpass" maxlength="30" onclick="this.className='login-password-logo'" />

					<input type="hidden" name="subedit" value="1">
					<button value="Edit Account" style="margin-top:190px"><?php echo "$lang_edit_account"; ?></button>
				</div>
				<div class="intro-pu-options" style="margin-top: 230px; height: 25px;"></div>
			</form>
			<div class="footer-intro-pu">
				<?php echo "$lang_user"; ?>: <?php
								echo "$session->username";
?>
			</div>
		</div>
		<?php
				}
} else { //If the user is not logged in, he will go to the page login.php
				header("Location: login.php");
}
?>
 
	<script type="text/javascript">
				$(document).ready(function () {
					$('#nav li').hover(
						function () {
							//mostra sottomenu
							$('ul', this).stop(true, true).delay(50).slideDown(100);
 
						}, 
						function () {
							//nascondi sottomenu
							$('ul', this).stop(true, true).slideUp(200);        
						}
					);
				});
	</script>
	</body>
</html>
